//Title : Program in C to catch, modify and verify the process priority
//Batch : S2
//Akash A. Borse

#include<unistd.h> //header file to use unix standard statements
#include<sys/resource.h> //header file to use process related functions
#include<stdio.h>//header file to use standard i/o statements
#include<stdlib.h>//header file to use standard library statements
void main() //main function
{
	int rc,nc,ch; // declaration of variables
	while(1) //repeat while loop until 1
	{	
		system("ps axl"); //function call for ps axl commands
		printf("\nSee the process details from above table...");// print statements
		printf("\nthe current priority of process %d is %d...",getpid(),getpriority(PRIO_PROCESS,0));//print id and priority
		printf("\nEnter The Nice Value Between -20 To 20 : ");//ask user for Nice Value
		scanf("%d",&nc); //accept nice value
		rc=setpriority(PRIO_PROCESS,0,nc);//assign rc the new priority
		if(0!=rc) //check if 0 matches with rc
		{
			perror("setpriority"); //display eror message if condition is invalid
		}
		sleep(3);//pause for 3 sec
		printf("\nThe Modified Nice Value Of Process %d Is %d...",getpid(),getpriority(PRIO_PROCESS,0)); //print id and priority
		printf("\nDo You Want To Continue ? (1-Continue | 0-Stop) : ");//ask user to continue or not
		scanf("%d",&ch);//acept user's choice
		if(ch==0)//check if ch=0
		{
			exit(0);//exit if condition is true
		}
	}//end of while loop
}//end of main function

/*<------------------------------------------------OUTPUT------------------------------------------------>
[student@localhost ~]$ gcc priority.c
[student@localhost ~]$ ./a.out
F   UID   PID  PPID PRI  NI    VSZ   RSS WCHAN  STAT TTY        TIME COMMAND
4     0     1     0  20   0  57676 24884 epoll_ Ss   ?          0:01 /sbin/init
1     0     2     0  20   0      0     0 kthrea S    ?          0:00 [kthreadd]
1     0     3     2  20   0      0     0 run_ks S    ?          0:00 [ksoftirqd]
1     0     6     2 -100  -      0     0 cpu_st S    ?          0:00 [migration]
5     0     7     2 -100  -      0     0 watchd S    ?          0:00 [watchdog/]
1     0     8     2 -100  -      0     0 cpu_st S    ?          0:00 [migration]
1     0    10     2  20   0      0     0 run_ks S    ?          0:00 [ksoftirqd]
1     0    11     2  20   0      0     0 worker S    ?          0:00 [kworker/0]
5     0    12     2 -100  -      0     0 watchd S    ?          0:00 [watchdog/]
1     0    13     2 -100  -      0     0 cpu_st S    ?          0:00 [migration]
1     0    15     2  20   0      0     0 run_ks S    ?          0:00 [ksoftirqd]
5     0    16     2 -100  -      0     0 watchd S    ?          0:00 [watchdog/]
1     0    17     2 -100  -      0     0 cpu_st S    ?          0:00 [migration]
1     0    19     2  20   0      0     0 run_ks S    ?          0:00 [ksoftirqd]
5     0    20     2 -100  -      0     0 watchd S    ?          0:00 [watchdog/]
1     0    21     2   0 -20      0     0 rescue S<   ?          0:00 [cpuset]
1     0    22     2   0 -20      0     0 rescue S<   ?          0:00 [khelper]
5     0    23     2  20   0      0     0 devtmp S    ?          0:00 [kdevtmpfs]
1     0    24     2   0 -20      0     0 rescue S<   ?          0:00 [netns]
1     0    25     2  20   0      0     0 bdi_sy S    ?          0:00 [sync_supe]
1     0    26     2  20   0      0     0 bdi_fo S    ?          0:00 [bdi-defau]
1     0    27     2   0 -20      0     0 rescue S<   ?          0:00 [kintegrit]
1     0    28     2   0 -20      0     0 rescue S<   ?          0:00 [kblockd]
1     0    29     2   0 -20      0     0 rescue S<   ?          0:00 [ata_sff]
1     0    30     2  20   0      0     0 hub_th S    ?          0:00 [khubd]
1     0    31     2   0 -20      0     0 rescue S<   ?          0:00 [md]
1     0    33     2  20   0      0     0 kswapd S    ?          0:00 [kswapd0]
1     0    34     2  25   5      0     0 ksm_sc SN   ?          0:00 [ksmd]
1     0    35     2  39  19      0     0 khugep SN   ?          0:00 [khugepage]
1     0    36     2  20   0      0     0 fsnoti S    ?          0:00 [fsnotify_]
1     0    37     2   0 -20      0     0 rescue S<   ?          0:00 [crypto]
1     0    43     2   0 -20      0     0 rescue S<   ?          0:00 [kthrotld]
1     0    57     2  20   0      0     0 scsi_e S    ?          0:00 [scsi_eh_0]
1     0    58     2  20   0      0     0 scsi_e S    ?          0:00 [scsi_eh_1]
1     0    59     2  20   0      0     0 worker S    ?          0:00 [kworker/u]
1     0    60     2  20   0      0     0 scsi_e S    ?          0:00 [scsi_eh_2]
1     0    61     2  20   0      0     0 scsi_e S    ?          0:00 [scsi_eh_3]
1     0    62     2  20   0      0     0 worker S    ?          0:01 [kworker/u]
1     0    64     2  20   0      0     0 worker S    ?          0:00 [kworker/2]
1     0    65     2   0 -20      0     0 rescue S<   ?          0:00 [kpsmoused]
1     0    68     2  20   0      0     0 worker S    ?          0:00 [kworker/1]
1     0   335     2  20   0      0     0 worker S    ?          0:00 [kworker/3]
1     0   451     2  20   0      0     0 worker S    ?          0:00 [kworker/2]
1     0   456     2  20   0      0     0 kjourn S    ?          0:00 [jbd2/sda8]
1     0   457     2   0 -20      0     0 rescue S<   ?          0:00 [ext4-dio-]
1     0   496     2  20   0      0     0 kaudit S    ?          0:00 [kauditd]
4     0   497     1  20   0  20392  4736 epoll_ Ss   ?          0:00 /sbin/udevd
1     0   498     2  20   0      0     0 worker S    ?          0:00 [kworker/0]
4     0   509     1  20   0  23196   884 epoll_ Ss   ?          0:00 /lib/system
1     0   520     2   0 -20      0     0 rescue S<   ?          0:00 [kvm-irqfd]
1     0   545     2  20   0      0     0 worker S    ?          0:00 [kworker/3]
1     0   607     2  20   0      0     0 worker S    ?          0:00 [kworker/1]
1     0   626     2   0 -20      0     0 rescue S<   ?          0:00 [rpciod]
1     0   647     2   0 -20      0     0 rescue S<   ?          0:00 [hd-audio0]
1     0   788     2  20   0      0     0 kjourn S    ?          0:00 [jbd2/sda9]
1     0   789     2   0 -20      0     0 rescue S<   ?          0:00 [ext4-dio-]
1     0   797     2  20   0      0     0 kjourn S    ?          0:00 [jbd2/sda7]
1     0   798     2   0 -20      0     0 rescue S<   ?          0:00 [ext4-dio-]
1     0   806     2  20   0      0     0 bdi_wr S    ?          0:00 [flush-8:0]
4     0   826     1  16  -4  25792  1244 epoll_ S<sl ?          0:00 /sbin/audit
4    70   855     1  20   0  27996  1768 poll_s Ss   ?          0:00 avahi-daemo
0     0   860     1  20   0  18180   804 inotif Ss   ?          0:00 /usr/bin/ab
4     0   861   826  12  -8  80220   796 futex_ S<sl ?          0:00 /sbin/audis
1    70   862   855  20   0  27872   220 unix_s S    ?          0:00 avahi-daemo
4     0   863   861  16  -4  21388   816 unix_s S<   ?          0:00 /usr/sbin/s
4     0   867     1  20   0  16920   844 hrtime Ss   ?          0:00 /usr/sbin/a
0     0   869     1  20   0 127072  1492 poll_s Ss   ?          0:00 /usr/sbin/a
5     0   874     1  20   0   6928   316 poll_s Ss   ?          0:00 /usr/sbin/g
4     0   876     1  20   0 160040  6128 poll_s Ssl  ?          0:00 /usr/sbin/N
1     0   886     1  20   0  27728   412 epoll_ Ss   ?          0:00 /usr/sbin/r
5     0   888     1  20   0  20720   776 hrtime Ss   ?          0:00 /usr/sbin/i
1     0   890     1  20   0   6448   724 poll_s Ss   ?          0:00 /usr/sbin/a
4     0   891     1  20   0  28320  1628 epoll_ Ss   ?          0:00 /lib/system
0     0   892     1  20   0  11564   312 inotif Ss   ?          0:00 /usr/bin/sy
4     0   895     1  20   0   6944   892 poll_s Ss   ?          0:00 /usr/sbin/m
4     0   898     1  20   0 118328  1568 hrtime Ss   ?          0:00 /usr/sbin/c
1     0   919     1  20   0 116272   824 wait   S    ?          0:00 /bin/bash /
4    81   930     1  20   0  96876  2788 poll_s Ssl  ?          0:00 /bin/dbus-d
4     0   938     1  20   0 189404  4272 poll_s Sl   ?          0:00 /usr/libexe
4     0   950     1  20   0  71048  2776 poll_s S    ?          0:00 /usr/sbin/m
4     0   958     1  20   0  75320  3252 poll_s Ss   ?          0:00 /usr/sbin/s
5     0   968     1  20   0  19156   996 poll_s Ss   ?          0:00 /sbin/rpcbi
5     0   970     1  20   0 442920  6936 poll_s Sl   ?          0:00 libvirtd --
5    99  1045     1  20   0  13092   628 poll_s S    ?          0:00 /usr/sbin/d
5    29  1047     1  20   0  27736  1444 poll_s Ss   ?          0:00 /sbin/rpc.s
4     0  1065     1  20   0 139980  2244 poll_s Ssl  ?          0:00 /usr/sbin/g
4     0  1090  1065  20   0 173112  3740 poll_s Sl   ?          0:00 /usr/libexe
4     0  1092     1  20   0 243124  1636 poll_s Ssl  ?          0:00 /sbin/rsysl
4     0  1104  1090  20   0  96332  9868 poll_s Ss+  tty1       0:03 /usr/bin/Xo
1    51  1106     1  20   0  76328  1976 pause  Ss   ?          0:00 sendmail: Q
4     0  1133     1  20   0 2083228 3428 poll_s Ssl  ?          0:00 /usr/sbin/c
4     0  1135     1  20   0 217552  3292 poll_s Ssl  ?          0:00 /usr/libexe
4     0  1218     1  20   0 153616  3472 poll_s Sl   ?          0:00 /usr/libexe
4   172  1266     1  21   1 164556  1248 poll_s SNsl ?          0:00 /usr/libexe
4     0  1295  1090  20   0 200932  3420 poll_s Sl   ?          0:00 gdm-session
1  1001  1310     1  20   0 214812  3344 poll_s Sl   ?          0:00 /usr/bin/gn
4  1001  1316  1295  20   0 430296  9844 poll_s Ssl  ?          0:00 gnome-sessi
1  1001  1327     1  20   0  22348   492 poll_s S    ?          0:00 dbus-launch
1  1001  1328     1  20   0  31948  2240 poll_s Ssl  ?          0:00 /bin/dbus-d
0  1001  1387     1  20   0 329292  4392 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1390     1  20   0 158488  2252 poll_s S    ?          0:00 /usr/libexe
0  1001  1401     1  20   0  27008  1948 poll_s S    ?          0:00 /usr/lib64/
1  1001  1402     1  20   0 279440  2348 futex_ Ssl  ?          0:00 /usr/libexe
1  1001  1474     1   9 -11 457696  5396 poll_s S<sl ?          0:00 /usr/bin/pu
0  1001  1478  1316  20   0 793004 21588 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1485  1474  20   0 100244  2288 poll_s S    ?          0:00 /usr/libexe
0  1001  1487     1  20   0 137088  3208 poll_s S    ?          0:00 /usr/libexe
4     0  1491     1  20   0 195288  3748 epoll_ Ss   ?          0:00 /usr/sbin/c
0  1001  1493     1  20   0 467148  3492 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1501     1  20   0 171940  3540 poll_s S    ?          0:00 /usr/libexe
4     0  1504     1  20   0 129840  3532 poll_s Sl   ?          0:00 /usr/libexe
1     0  1505  1504  20   0  47516   536 poll_s S    ?          0:00 udisks-daem
0  1001  1510     1  20   0 239060  2076 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1513     1  20   0 169248  2240 poll_s S    ?          0:00 /usr/libexe
4     0  1515     1  20   0 441212  9444 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1516  1316  20   0 1933636 108436 poll_s Sl ?          0:04 /usr/bin/gn
0  1001  1518     1  20   0 190068  2412 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1526  1316  20   0 419560 11176 poll_s Sl   ?          0:00 gnome-scree
0  1001  1528  1316  20   0 283164  8784 poll_s S    ?          0:00 /usr/libexe
0  1001  1531  1316  20   0 294696  6024 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1537  1316  20   0 250664  7172 poll_s S    ?          0:00 /usr/bin/se
0  1001  1563  1316  20   0 435644 10956 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1587  1316  20   0 696164 12496 poll_s Sl   ?          0:00 nm-applet
0  1001  1588  1316  20   0  32968  5696 poll_s S    ?          0:00 /usr/sbin/r
0  1001  1591  1316  20   0 250988  5592 poll_s S    ?          0:00 abrt-applet
0  1001  1592  1316  20   0 341532  8644 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1599     1  20   0 554656 10700 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1603  1316  39  19 454092  7824 poll_s SNl  ?          0:00 /usr/libexe
0  1001  1606     1  20   0 612252  6588 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1617     1  20   0 331444  4408 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1625     1  20   0 237464  4536 poll_s Sl   ?          0:00 /usr/libexe
5     0  1640   497  20   0  20388  3972 epoll_ S    ?          0:00 /sbin/udevd
5     0  1641   497  20   0  20388  3920 epoll_ S    ?          0:00 /sbin/udevd
0  1001  1652     1  20   0 387380  5508 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1703     1  20   0 368124  6356 poll_s Sl   ?          0:00 /usr/libexe
5     0  1709     1  20   0  91244  2368 poll_s Ss   ?          0:00 sendmail: a
0  1001  1738  1516  20   0 671132 18244 poll_s Sl   ?          0:00 gnome-termi
0  1001  1763  1738  20   0   8412   720 unix_s S    ?          0:00 gnome-pty-h
0  1001  1764  1738  20   0 119944  5424 wait   Ss   pts/0      0:00 bash
0  1001  1843  1764  20   0 700256 26936 poll_s Sl+  pts/0      0:03 gedit prior
0  1001  1980     1  20   0 153796  1732 poll_s S    ?          0:00 /usr/libexe
0  1001  1998  1738  20   0 119944  5568 wait   Ss   pts/1      0:00 bash
0     0  2060   919  20   0 106804   500 hrtime S    ?          0:00 sleep 60
0  1001  2076     1  39  19 608752  7112 poll_s SNl  ?          0:00 /usr/libexe
0  1001  2092  1998  20   0   4108   316 wait   S+   pts/1      0:00 ./a.out
0  1001  2093  2092  20   0 113588   832 -      R+   pts/1      0:00 ps axl

See the process details from above table...
the current priority of process 2092 is 0...
Enter The Nice Value Between -20 To 20 : 4

The Modified Nice Value Of Process 2092 Is 4...
Do You Want To Continue ? (1-Continue | 0-Stop) : 1
F   UID   PID  PPID PRI  NI    VSZ   RSS WCHAN  STAT TTY        TIME COMMAND
4     0     1     0  20   0  57676 24884 epoll_ Ss   ?          0:01 /sbin/init
1     0     2     0  20   0      0     0 kthrea S    ?          0:00 [kthreadd]
1     0     3     2  20   0      0     0 run_ks S    ?          0:00 [ksoftirqd]
1     0     6     2 -100  -      0     0 cpu_st S    ?          0:00 [migration]
5     0     7     2 -100  -      0     0 watchd S    ?          0:00 [watchdog/]
1     0     8     2 -100  -      0     0 cpu_st S    ?          0:00 [migration]
1     0    10     2  20   0      0     0 run_ks S    ?          0:00 [ksoftirqd]
1     0    11     2  20   0      0     0 worker S    ?          0:00 [kworker/0]
5     0    12     2 -100  -      0     0 watchd S    ?          0:00 [watchdog/]
1     0    13     2 -100  -      0     0 cpu_st S    ?          0:00 [migration]
1     0    15     2  20   0      0     0 run_ks S    ?          0:00 [ksoftirqd]
5     0    16     2 -100  -      0     0 watchd S    ?          0:00 [watchdog/]
1     0    17     2 -100  -      0     0 cpu_st S    ?          0:00 [migration]
1     0    19     2  20   0      0     0 run_ks S    ?          0:00 [ksoftirqd]
5     0    20     2 -100  -      0     0 watchd S    ?          0:00 [watchdog/]
1     0    21     2   0 -20      0     0 rescue S<   ?          0:00 [cpuset]
1     0    22     2   0 -20      0     0 rescue S<   ?          0:00 [khelper]
5     0    23     2  20   0      0     0 devtmp S    ?          0:00 [kdevtmpfs]
1     0    24     2   0 -20      0     0 rescue S<   ?          0:00 [netns]
1     0    25     2  20   0      0     0 bdi_sy S    ?          0:00 [sync_supe]
1     0    26     2  20   0      0     0 bdi_fo S    ?          0:00 [bdi-defau]
1     0    27     2   0 -20      0     0 rescue S<   ?          0:00 [kintegrit]
1     0    28     2   0 -20      0     0 rescue S<   ?          0:00 [kblockd]
1     0    29     2   0 -20      0     0 rescue S<   ?          0:00 [ata_sff]
1     0    30     2  20   0      0     0 hub_th S    ?          0:00 [khubd]
1     0    31     2   0 -20      0     0 rescue S<   ?          0:00 [md]
1     0    33     2  20   0      0     0 kswapd S    ?          0:00 [kswapd0]
1     0    34     2  25   5      0     0 ksm_sc SN   ?          0:00 [ksmd]
1     0    35     2  39  19      0     0 khugep SN   ?          0:00 [khugepage]
1     0    36     2  20   0      0     0 fsnoti S    ?          0:00 [fsnotify_]
1     0    37     2   0 -20      0     0 rescue S<   ?          0:00 [crypto]
1     0    43     2   0 -20      0     0 rescue S<   ?          0:00 [kthrotld]
1     0    57     2  20   0      0     0 scsi_e S    ?          0:00 [scsi_eh_0]
1     0    58     2  20   0      0     0 scsi_e S    ?          0:00 [scsi_eh_1]
1     0    59     2  20   0      0     0 worker S    ?          0:00 [kworker/u]
1     0    60     2  20   0      0     0 scsi_e S    ?          0:00 [scsi_eh_2]
1     0    61     2  20   0      0     0 scsi_e S    ?          0:00 [scsi_eh_3]
1     0    62     2  20   0      0     0 worker S    ?          0:01 [kworker/u]
1     0    64     2  20   0      0     0 worker S    ?          0:00 [kworker/2]
1     0    65     2   0 -20      0     0 rescue S<   ?          0:00 [kpsmoused]
1     0    68     2  20   0      0     0 worker S    ?          0:00 [kworker/1]
1     0   335     2  20   0      0     0 worker S    ?          0:00 [kworker/3]
1     0   451     2  20   0      0     0 worker S    ?          0:00 [kworker/2]
1     0   456     2  20   0      0     0 kjourn S    ?          0:00 [jbd2/sda8]
1     0   457     2   0 -20      0     0 rescue S<   ?          0:00 [ext4-dio-]
1     0   496     2  20   0      0     0 kaudit S    ?          0:00 [kauditd]
4     0   497     1  20   0  20392  4736 epoll_ Ss   ?          0:00 /sbin/udevd
1     0   498     2  20   0      0     0 worker S    ?          0:00 [kworker/0]
4     0   509     1  20   0  23196   884 epoll_ Ss   ?          0:00 /lib/system
1     0   520     2   0 -20      0     0 rescue S<   ?          0:00 [kvm-irqfd]
1     0   545     2  20   0      0     0 worker S    ?          0:00 [kworker/3]
1     0   607     2  20   0      0     0 worker S    ?          0:00 [kworker/1]
1     0   626     2   0 -20      0     0 rescue S<   ?          0:00 [rpciod]
1     0   647     2   0 -20      0     0 rescue S<   ?          0:00 [hd-audio0]
1     0   788     2  20   0      0     0 kjourn S    ?          0:00 [jbd2/sda9]
1     0   789     2   0 -20      0     0 rescue S<   ?          0:00 [ext4-dio-]
1     0   797     2  20   0      0     0 kjourn S    ?          0:00 [jbd2/sda7]
1     0   798     2   0 -20      0     0 rescue S<   ?          0:00 [ext4-dio-]
1     0   806     2  20   0      0     0 bdi_wr S    ?          0:00 [flush-8:0]
4     0   826     1  16  -4  25792  1244 epoll_ S<sl ?          0:00 /sbin/audit
4    70   855     1  20   0  27996  1768 poll_s Ss   ?          0:00 avahi-daemo
0     0   860     1  20   0  18180   804 inotif Ss   ?          0:00 /usr/bin/ab
4     0   861   826  12  -8  80220   796 futex_ S<sl ?          0:00 /sbin/audis
1    70   862   855  20   0  27872   220 unix_s S    ?          0:00 avahi-daemo
4     0   863   861  16  -4  21388   816 unix_s S<   ?          0:00 /usr/sbin/s
4     0   867     1  20   0  16920   844 hrtime Ss   ?          0:00 /usr/sbin/a
0     0   869     1  20   0 127072  1492 poll_s Ss   ?          0:00 /usr/sbin/a
5     0   874     1  20   0   6928   316 poll_s Ss   ?          0:00 /usr/sbin/g
4     0   876     1  20   0 160040  6128 poll_s Ssl  ?          0:00 /usr/sbin/N
1     0   886     1  20   0  27728   412 epoll_ Ss   ?          0:00 /usr/sbin/r
5     0   888     1  20   0  20720   780 hrtime Ss   ?          0:00 /usr/sbin/i
1     0   890     1  20   0   6448   724 poll_s Ss   ?          0:00 /usr/sbin/a
4     0   891     1  20   0  28320  1628 epoll_ Ss   ?          0:00 /lib/system
0     0   892     1  20   0  11564   312 inotif Ss   ?          0:00 /usr/bin/sy
4     0   895     1  20   0   6944   892 poll_s Ss   ?          0:00 /usr/sbin/m
4     0   898     1  20   0 118328  1568 hrtime Ss   ?          0:00 /usr/sbin/c
1     0   919     1  20   0 116272   824 wait   S    ?          0:00 /bin/bash /
4    81   930     1  20   0  96876  2788 poll_s Ssl  ?          0:00 /bin/dbus-d
4     0   938     1  20   0 189404  4272 poll_s Sl   ?          0:00 /usr/libexe
4     0   950     1  20   0  71048  2776 poll_s S    ?          0:00 /usr/sbin/m
4     0   958     1  20   0  75320  3252 poll_s Ss   ?          0:00 /usr/sbin/s
5     0   968     1  20   0  19156   996 poll_s Ss   ?          0:00 /sbin/rpcbi
5     0   970     1  20   0 442920  6936 poll_s Sl   ?          0:00 libvirtd --
5    99  1045     1  20   0  13092   628 poll_s S    ?          0:00 /usr/sbin/d
5    29  1047     1  20   0  27736  1444 poll_s Ss   ?          0:00 /sbin/rpc.s
4     0  1065     1  20   0 139980  2244 poll_s Ssl  ?          0:00 /usr/sbin/g
4     0  1090  1065  20   0 173112  3740 poll_s Sl   ?          0:00 /usr/libexe
4     0  1092     1  20   0 243124  1636 poll_s Ssl  ?          0:00 /sbin/rsysl
4     0  1104  1090  20   0  96332  9868 poll_s Ss+  tty1       0:03 /usr/bin/Xo
1    51  1106     1  20   0  76328  1976 pause  Ss   ?          0:00 sendmail: Q
4     0  1133     1  20   0 2083228 3428 poll_s Ssl  ?          0:00 /usr/sbin/c
4     0  1135     1  20   0 217552  3292 poll_s Ssl  ?          0:00 /usr/libexe
4     0  1218     1  20   0 153616  3472 poll_s Sl   ?          0:00 /usr/libexe
4   172  1266     1  21   1 164556  1248 poll_s SNsl ?          0:00 /usr/libexe
4     0  1295  1090  20   0 200932  3420 poll_s Sl   ?          0:00 gdm-session
1  1001  1310     1  20   0 214812  3344 poll_s Sl   ?          0:00 /usr/bin/gn
4  1001  1316  1295  20   0 430296  9844 poll_s Ssl  ?          0:00 gnome-sessi
1  1001  1327     1  20   0  22348   492 poll_s S    ?          0:00 dbus-launch
1  1001  1328     1  20   0  31924  2240 poll_s Ssl  ?          0:00 /bin/dbus-d
0  1001  1387     1  20   0 329292  4392 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1390     1  20   0 158488  2252 poll_s S    ?          0:00 /usr/libexe
0  1001  1401     1  20   0  27008  1948 poll_s S    ?          0:00 /usr/lib64/
1  1001  1402     1  20   0 279440  2348 futex_ Ssl  ?          0:00 /usr/libexe
1  1001  1474     1   9 -11 457696  5396 poll_s S<sl ?          0:00 /usr/bin/pu
0  1001  1478  1316  20   0 793004 21588 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1485  1474  20   0 100244  2288 poll_s S    ?          0:00 /usr/libexe
0  1001  1487     1  20   0 137088  3208 poll_s S    ?          0:00 /usr/libexe
4     0  1491     1  20   0 195288  3748 epoll_ Ss   ?          0:00 /usr/sbin/c
0  1001  1493     1  20   0 467148  3492 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1501     1  20   0 171940  3540 poll_s S    ?          0:00 /usr/libexe
4     0  1504     1  20   0 129840  3532 poll_s Sl   ?          0:00 /usr/libexe
1     0  1505  1504  20   0  47516   536 poll_s S    ?          0:00 udisks-daem
0  1001  1510     1  20   0 239060  2076 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1513     1  20   0 169248  2240 poll_s S    ?          0:00 /usr/libexe
4     0  1515     1  20   0 441212  9444 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1516  1316  20   0 1933636 108436 i915_w Rl ?          0:04 /usr/bin/gn
0  1001  1518     1  20   0 190068  2412 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1526  1316  20   0 419560 11176 poll_s Sl   ?          0:00 gnome-scree
0  1001  1528  1316  20   0 283164  8784 poll_s S    ?          0:00 /usr/libexe
0  1001  1531  1316  20   0 294696  6024 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1537  1316  20   0 250664  7172 poll_s S    ?          0:00 /usr/bin/se
0  1001  1563  1316  20   0 435644 10956 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1587  1316  20   0 696164 12496 poll_s Sl   ?          0:00 nm-applet
0  1001  1588  1316  20   0  32968  5696 poll_s S    ?          0:00 /usr/sbin/r
0  1001  1591  1316  20   0 250988  5592 poll_s S    ?          0:00 abrt-applet
0  1001  1592  1316  20   0 341532  8644 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1599     1  20   0 554656 10700 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1603  1316  39  19 454092  7880 poll_s SNl  ?          0:00 /usr/libexe
0  1001  1606     1  20   0 612252  6588 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1617     1  20   0 331444  4408 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1625     1  20   0 237464  4536 poll_s Sl   ?          0:00 /usr/libexe
5     0  1640   497  20   0  20388  3972 epoll_ S    ?          0:00 /sbin/udevd
5     0  1641   497  20   0  20388  3920 epoll_ S    ?          0:00 /sbin/udevd
0  1001  1652     1  20   0 387380  5508 poll_s Sl   ?          0:00 /usr/libexe
0  1001  1703     1  20   0 368124  6356 poll_s Sl   ?          0:00 /usr/libexe
5     0  1709     1  20   0  91244  2368 poll_s Ss   ?          0:00 sendmail: a
0  1001  1738  1516  20   0 671132 18244 poll_s Sl   ?          0:00 gnome-termi
0  1001  1763  1738  20   0   8412   720 unix_s S    ?          0:00 gnome-pty-h
0  1001  1764  1738  20   0 119944  5424 wait   Ss   pts/0      0:00 bash
0  1001  1843  1764  20   0 700256 26936 poll_s Sl+  pts/0      0:03 gedit prior
0  1001  1980     1  20   0 153876  2056 poll_s S    ?          0:00 /usr/libexe
0  1001  1998  1738  20   0 119944  5568 wait   Ss   pts/1      0:00 bash
0  1001  2092  1998  24   4   4248   536 wait   SN+  pts/1      0:00 ./a.out
0     0  2099   919  20   0 106804   500 hrtime S    ?          0:00 sleep 60
0  1001  2100  2092  24   4 113588   832 -      RN+  pts/1      0:00 ps axl

See the process details from above table...
the current priority of process 2092 is 4...
Enter The Nice Value Between -20 To 20 : 8      

The Modified Nice Value Of Process 2092 Is 8...
Do You Want To Continue ? (1-Continue | 0-Stop) : 0
[student@localhost ~]$ 

*/
